GDB (xrefs)

Public Types | Public Member Functions | Private Attributes | List of all members
format_pieces Class Reference

`#include "format.h"`

## Public Types
typedef std::vector< format_piece >::iterator | iterator

## Public Member Functions
| format_pieces (const char **arg)
| ~format_pieces ()=default
| DISABLE_COPY_AND_ASSIGN (format_pieces)
format_piece & | operator[] (size_t index)
iterator | begin ()
iterator | end ()

## Private Attributes
std::vector< format_piece > | m_pieces
gdb::unique_xmalloc_ptr< char > | m_storage

## Detailed Description

Definition at line 61 of file format.h.

## Member Typedef Documentation

## ◆ iterator

typedef std::vector<format_piece>::iterator format_pieces::iterator

Definition at line 75 of file format.h.

## Constructor & Destructor Documentation

## ◆ format_pieces()

format_pieces::format_pieces | ( | const char ** | arg | ) |

Definition at line 23 of file format.c.

References _, cleanup::arg, dec128float_arg, dec32float_arg, dec64float_arg, double_arg, error(), int_arg, literal_piece, long_arg, long_double_arg, long_long_arg, m_pieces, m_storage, ptr_arg, string, string_arg, USE_PRINTF_I64, wide_char_arg, wide_string_arg, and xmalloc().

## ◆ ~format_pieces()

format_pieces::~format_pieces | ( |  | ) |
| default

## Member Function Documentation

## ◆ begin()

iterator format_pieces::begin | ( |  | ) |
| inline

Definition at line 77 of file format.h.

References m_pieces.

## ◆ DISABLE_COPY_AND_ASSIGN()

format_pieces::DISABLE_COPY_AND_ASSIGN | ( | format_pieces |  | ) |

## ◆ end()

iterator format_pieces::end | ( |  | ) |
| inline

Definition at line 82 of file format.h.

References m_pieces.

## ◆ operator[]()

format_piece& format_pieces::operator[] | ( | size_t | index | ) |
| inline

Definition at line 70 of file format.h.

References m_pieces.

## Member Data Documentation

## ◆ m_pieces

std::vector<format_piece> format_pieces::m_pieces
| private

Definition at line 89 of file format.h.

Referenced by begin(), end(), format_pieces(), and operator[]().

## ◆ m_storage

gdb::unique_xmalloc_ptr<char> format_pieces::m_storage
| private

Definition at line 90 of file format.h.

Referenced by format_pieces().

The documentation for this class was generated from the following files:

- /tmp/gdb-8.1/gdb/common/format.h
- /tmp/gdb-8.1/gdb/common/format.c